Ruby: parser_params Struct Reference

Ruby 3.3.7p123 (2025-01-15 revision be31f993d7fa0219d85f7b3c694d454da4ecc10b)

Data Fields
parser_params Struct Reference

## Data Fields
rb_imemo_tmpbuf_t * | heap
YYSTYPE * | lval
YYLTYPE * | yylloc
struct { |
rb_strterm_t * strterm |
VALUE(* gets )(struct parser_params *, VALUE) |
VALUE input |
VALUE lastline |
VALUE nextline |
const char * pbeg |
const char * pcur |
const char * pend |
const char * ptok |
union { |
long ptr |
VALUE(* call )(VALUE, int) |
} gets_ |
enum lex_state_e state |
int paren_nest |
int lpar_beg |
int brace_nest |
} | lex |
stack_type | cond_stack
stack_type | cmdarg_stack
int | tokidx
int | toksiz
int | heredoc_end
int | heredoc_indent
int | heredoc_line_indent
char * | tokenbuf
struct local_vars * | lvtbl
st_table * | pvtbl
st_table * | pktbl
int | line_count
int | ruby_sourceline
const char * | ruby_sourcefile
VALUE | ruby_sourcefile_string
rb_encoding * | enc
token_info * | token_info
VALUE | case_labels
rb_node_exits_t * | exits
VALUE | debug_buffer
VALUE | debug_output
struct { |
VALUE token |
int beg_line |
int beg_col |
int end_line |
int end_col |
} | delayed |
ID | cur_arg
rb_ast_t * | ast
int | node_id
int | max_numparam
struct lex_context | ctxt
signed int | frozen_string_literal:2
unsigned int | command_start:1
unsigned int | eofp: 1
unsigned int | ruby__end__seen: 1
unsigned int | debug: 1
unsigned int | has_shebang: 1
unsigned int | token_seen: 1
unsigned int | token_info_enabled: 1
unsigned int | error_p: 1
unsigned int | cr_seen: 1
unsigned int | do_print: 1
unsigned int | do_loop: 1
unsigned int | do_chomp: 1
unsigned int | do_split: 1
unsigned int | error_tolerant: 1
unsigned int | keep_tokens: 1
NODE * | eval_tree_begin
NODE * | eval_tree
VALUE | error_buffer
VALUE | debug_lines
const struct rb_iseq_struct * | parent_iseq
VALUE | end_expect_token_locations
int | token_id
VALUE | tokens

## Detailed Description

Definition at line 481 of file parse.c.

## Field Documentation

## ◆ ast

rb_ast_t* parser_params::ast

Definition at line 542 of file parse.c.

## ◆ beg_col

int parser_params::beg_col

Definition at line 535 of file parse.c.

## ◆ beg_line

int parser_params::beg_line

Definition at line 534 of file parse.c.

## ◆ brace_nest

int parser_params::brace_nest

Definition at line 507 of file parse.c.

## ◆ call

VALUE(* parser_params::call) (VALUE, int)

Definition at line 499 of file parse.c.

## ◆ case_labels

VALUE parser_params::case_labels

Definition at line 526 of file parse.c.

## ◆ cmdarg_stack

stack_type parser_params::cmdarg_stack

Definition at line 510 of file parse.c.

## ◆ command_start

unsigned int parser_params::command_start

Definition at line 555 of file parse.c.

## ◆ cond_stack

stack_type parser_params::cond_stack

Definition at line 509 of file parse.c.

## ◆ cr_seen

unsigned int parser_params::cr_seen

Definition at line 566 of file parse.c.

## ◆ ctxt

struct lex_context parser_params::ctxt

Definition at line 547 of file parse.c.

## ◆ cur_arg

ID parser_params::cur_arg

Definition at line 540 of file parse.c.

## ◆ debug

unsigned int parser_params::debug

Definition at line 558 of file parse.c.

## ◆ debug_buffer

VALUE parser_params::debug_buffer

Definition at line 529 of file parse.c.

## ◆ debug_lines

VALUE parser_params::debug_lines

Definition at line 581 of file parse.c.

## ◆ debug_output

VALUE parser_params::debug_output

Definition at line 530 of file parse.c.

## ◆ do_chomp

unsigned int parser_params::do_chomp

Definition at line 573 of file parse.c.

## ◆ do_loop

unsigned int parser_params::do_loop

Definition at line 572 of file parse.c.

## ◆ do_print

unsigned int parser_params::do_print

Definition at line 571 of file parse.c.

## ◆ do_split

unsigned int parser_params::do_split

Definition at line 574 of file parse.c.

## ◆ enc

rb_encoding* parser_params::enc

Definition at line 524 of file parse.c.

## ◆ end_col

int parser_params::end_col

Definition at line 537 of file parse.c.

## ◆ end_expect_token_locations

VALUE parser_params::end_expect_token_locations

Definition at line 584 of file parse.c.

## ◆ end_line

int parser_params::end_line

Definition at line 536 of file parse.c.

## ◆ eofp

unsigned int parser_params::eofp

Definition at line 556 of file parse.c.

## ◆ error_buffer

VALUE parser_params::error_buffer

Definition at line 580 of file parse.c.

## ◆ error_p

unsigned int parser_params::error_p

Definition at line 565 of file parse.c.

## ◆ error_tolerant

unsigned int parser_params::error_tolerant

Definition at line 575 of file parse.c.

## ◆ eval_tree

NODE* parser_params::eval_tree

Definition at line 579 of file parse.c.

## ◆ eval_tree_begin

NODE* parser_params::eval_tree_begin

Definition at line 578 of file parse.c.

## ◆ exits

rb_node_exits_t* parser_params::exits

Definition at line 527 of file parse.c.

## ◆ frozen_string_literal

signed int parser_params::frozen_string_literal

Definition at line 553 of file parse.c.

## ◆ gets

VALUE(* parser_params::gets) (struct parser_params *, VALUE)

Definition at line 489 of file parse.c.

## ◆ has_shebang

unsigned int parser_params::has_shebang

Definition at line 559 of file parse.c.

## ◆ heap

rb_imemo_tmpbuf_t* parser_params::heap

Definition at line 482 of file parse.c.

## ◆ heredoc_end

int parser_params::heredoc_end

Definition at line 513 of file parse.c.

## ◆ heredoc_indent

int parser_params::heredoc_indent

Definition at line 514 of file parse.c.

## ◆ heredoc_line_indent

int parser_params::heredoc_line_indent

Definition at line 515 of file parse.c.

## ◆ input

VALUE parser_params::input

Definition at line 490 of file parse.c.

## ◆ keep_tokens

unsigned int parser_params::keep_tokens

Definition at line 576 of file parse.c.

## ◆ lastline

VALUE parser_params::lastline

Definition at line 491 of file parse.c.

## ◆ line_count

int parser_params::line_count

Definition at line 520 of file parse.c.

## ◆ lpar_beg

int parser_params::lpar_beg

Definition at line 505 of file parse.c.

## ◆ lval

YYSTYPE* parser_params::lval

Definition at line 484 of file parse.c.

## ◆ lvtbl

struct local_vars* parser_params::lvtbl

Definition at line 517 of file parse.c.

## ◆ max_numparam

int parser_params::max_numparam

Definition at line 545 of file parse.c.

## ◆ nextline

VALUE parser_params::nextline

Definition at line 492 of file parse.c.

## ◆ node_id

int parser_params::node_id

Definition at line 543 of file parse.c.

## ◆ paren_nest

int parser_params::paren_nest

Definition at line 503 of file parse.c.

## ◆ parent_iseq

const struct rb_iseq_struct* parser_params::parent_iseq

Definition at line 582 of file parse.c.

## ◆ pbeg

const char* parser_params::pbeg

Definition at line 493 of file parse.c.

## ◆ pcur

const char* parser_params::pcur

Definition at line 494 of file parse.c.

## ◆ pend

const char* parser_params::pend

Definition at line 495 of file parse.c.

## ◆ pktbl

st_table* parser_params::pktbl

Definition at line 519 of file parse.c.

## ◆ ptok

const char* parser_params::ptok

Definition at line 496 of file parse.c.

## ◆ ptr

long parser_params::ptr

Definition at line 498 of file parse.c.

## ◆ pvtbl

st_table* parser_params::pvtbl

Definition at line 518 of file parse.c.

## ◆ ruby__end__seen

unsigned int parser_params::ruby__end__seen

Definition at line 557 of file parse.c.

## ◆ ruby_sourcefile

const char* parser_params::ruby_sourcefile

Definition at line 522 of file parse.c.

## ◆ ruby_sourcefile_string

VALUE parser_params::ruby_sourcefile_string

Definition at line 523 of file parse.c.

## ◆ ruby_sourceline

int parser_params::ruby_sourceline

Definition at line 521 of file parse.c.

## ◆ state

enum lex_state_e parser_params::state

Definition at line 501 of file parse.c.

## ◆ strterm

rb_strterm_t* parser_params::strterm

Definition at line 488 of file parse.c.

## ◆ token

VALUE parser_params::token

Definition at line 533 of file parse.c.

## ◆ token_id

int parser_params::token_id

Definition at line 586 of file parse.c.

## ◆ token_info

token_info* parser_params::token_info

Definition at line 525 of file parse.c.

## ◆ token_info_enabled

unsigned int parser_params::token_info_enabled

Definition at line 561 of file parse.c.

## ◆ token_seen

unsigned int parser_params::token_seen

Definition at line 560 of file parse.c.

## ◆ tokenbuf

char* parser_params::tokenbuf

Definition at line 516 of file parse.c.

## ◆ tokens

VALUE parser_params::tokens

Definition at line 588 of file parse.c.

## ◆ tokidx

int parser_params::tokidx

Definition at line 511 of file parse.c.

## ◆ toksiz

int parser_params::toksiz

Definition at line 512 of file parse.c.

## ◆ yylloc

YYLTYPE* parser_params::yylloc

Definition at line 485 of file parse.c.

The documentation for this struct was generated from the following file:

- parse.c